<h4 class="center-align">Hostel College Management</h4>
<div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content white-text">
        <div class="row">
          <div class="col s5">
            <form #roomForm="ngForm" (ngSubmit)="onSubmit(roomForm)">
              <input type="hidden" name="_id" #_id="ngModel" [(ngModel)]="collegeService.selectedCollege._id">
                <div class="row">
                  <div class="input-field col s12">
                  <input type="text" name="name"
                  #roomno="ngModel" [(ngModel)]="collegeService.selectedCollege.name" required>
                  <label> College Name:</label>
                </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                  <input type="text" name="address"
                  #roomno="ngModel" [(ngModel)]="collegeService.selectedCollege.address" required>
                  <label> Address:</label>
                </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                    <button class="btn btn-custom right" type="button" (click)="resetForm(roomForm)">Reset</button>
                    <button class="btn btn-custom right" type="submit" [disabled]="!roomForm.valid">Create</button>
                  </div>
                </div>
            </form>
          </div>
          <div class="col s7">
              <table class="responsive-table highlight black-text">
                <thead>
                  <tr>
                    <th>College Name</th>
                    <th>Address</th>
                    <th></th>
                  </tr>
                </thead>
                <tr *ngFor="let kolej of collegeService.colleges">
                  <td>{{kolej.name}}</td>
                  <td>{{kolej.address}}</td>
                  <td>
                    <a class="btn-floating" (click)="onEdit(kolej)">
                      <i class="material-icons">edit</i>
                    </a>
                    <a class="btn-floating" (click)="onDelete(kolej._id, roomForm)">
                      <i class="material-icons">delete</i>
                    </a>
                  </td>
                </tr>
              </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>


